var cserv=0;
var cexpe=0;
var aexpe=0;
var nexpe=0;

//Ventana dialogo de selección de expedientes que se van a asociar al principal
var dialogoEspedientesAsociados = {
		inicializado:false,
		ocultarElementos:function(){
			$("#dialogoEsperaSeleccionExp").hide();
		},
		/**
		 * Inicializa los componentes en caso de que sea la primera vez que se utilice el componente.
		 */
		inicializar:function(){		
			if(!this.inicializado){
				this.inicializado=true;

				//Combo tipos expedientes  
				$("#cexpe20nuevo_filter_table").rup_combo({
					loadFromSelect:true,
					width:"555",
					blank:"",
					selected:""
				});

				//Tabla grid expedientes nuevos (Selección expedientes a asociar)
				$("#ExpedientesNuevos").rup_table({
					rowNum:10,
					url: "../aa21b20s01",
					autowidth:true,
					colNames: [
					    "id",
						"cserv20",
						$.rup.i18n.app.aa21b20s01.cexpe20,
						$.rup.i18n.app.aa21b20s01.cexpe20,
						"aexpe20",
						"nexpe20",
						$.rup.i18n.app.aa21b20s01.objeto20,
						$.rup.i18n.app.aa21b20s01.faper20,
						$.rup.i18n.app.aa21b20s01.fcier20,
						"refer20",
						"crespo20",
						"cpais20",
						"cprov20",
						"cmuni20",
						"obser20",
						"moneda20",
						"eimpor20",
						"pimpor20",
						"eimpora20",
						"pimpora20",
						"cdepar20",
						"carchi20",
						"ubica20",
						$.rup.i18n.app.aa21b20s01.cesta20,
						$.rup.i18n.app.aa21b20s01.cesta20,
						"fvto20",
						"grupo"
					],
					colModel: [
			           { 	
					    	name: "idExpe", 
			 				label: "id",
							hidden: true 
						},       
						{ 	name: "cserv20", 
						 	label: "cserv20",
							hidden: true 
						},
						{ 	name: "refExp", 
						 	label: "refExp",
							align: "left", 
							width: 150, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: false
						},
						{ 	name: "cexpe20", 
						 	label: $.rup.i18n.app.aa21b20s01.cexpe20,
							hidden: true 
						},
						{ 	name: "aexpe20", 
						 	label: "aexpe20",
							hidden: true 
						},
						{ 	name: "nexpe20", 
						 	label: "nexpe20",
							hidden: true 
						},
						{ 	name: "objeto20", 
						 	label: $.rup.i18n.app.aa21b20s01.objeto20,
							align: "left", 
							width: 150, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: false
						},
						{ 	name: "faper20", 
						 	label: $.rup.i18n.app.aa21b20s01.faper20,
							align: "left", 
							width: 150, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: false
						},
						
						{ 	name: "fcier20", 
						 	label: $.rup.i18n.app.aa21b20s01.fcier20,
							align: "left", 
							width: 150, 
							editable: true, 
							ruptype: "datepicker", 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: false
						},
						{ 	name: "refer20", 
						 	label: "refer20",
							hidden: true 
						},
						{ 	name: "crespo20", 
						 	label: "crespo20",
							hidden: true 
						},
						{ 	name: "cpais20", 
						 	label: "cpais20",
							hidden: true 
						},
						{ 	name: "cprov20", 
						 	label: "cprov20",
							hidden: true 
						},
						{ 	name: "cmuni20", 
						 	label: "cmuni20",
							hidden: true 
						},
						{ 	name: "obser20", 
						 	label: "obser20",
							hidden: true 
						},
						{ 	name: "moneda20", 
						 	label: "moneda20",
							hidden: true 
						},
						{ 	name: "eimpor20", 
						 	label: "eimpor20",
							hidden: true 
						},
						{ 	name: "pimpor20", 
						 	label: "pimpor20",
							hidden: true 
						},
						{ 	name: "eimpora20", 
						 	label: "eimpora20",
							hidden: true 
						},
						{ 	name: "pimpora20", 
						 	label: "pimpora20",
							hidden: true 
						},
						{ 	name: "cdepar20", 
						 	label: "cdepar20",
							hidden: true 
						},
						{ 	name: "carchi20", 
						 	label: "carchi20",
							hidden: true 
						},
						{ 	name: "ubica20", 
						 	label: "ubica20",
							hidden: true
						},
						{ 	name: "cesta20", 
						 	label: $.rup.i18n.app.aa21b20s01.cesta20,
							hidden: true 
						},
						{ 	
							name: idioma=="es"?"desta":"eesta", 
						 	label: idioma=="es"?"desta":"eesta", 
							align: "left", 
							width: 150, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: false
						},
						{ 	name: "fvto20", 
						 	label: "fvto20",
							hidden: true 
						},
						{
							name: "grupo",
							label: "grupo",
							hidden:true
						},
			        ],

			        model:"Aa21b20s01",
			        usePlugins:[
						"formEdit",
			        	"feedback",
						"toolbar",
			        	"fluid",
			        	"filter",
			        	"multiselection"
			         	],
			         	primaryKey: "idExpe",
			    		loadOnStartUp: false,
					loadComplete:this.fncTableCompleteExpedientesNuevos,
					afterInsertRow : function(rowid, rowdata) {
						pintarFilaSituacionExpediente(rowid, rowdata, $(this), "cesta20");
						
						/**
						 * Comprobación para saber si el expediente ya está asignado. Si está asignado se ocultará del GRID
						 */
						var ids = $("#ExpAsociados").rup_table("getDataIDs");
						for(var i=0;i<ids.length;i++){
							var cServAso = $("#ExpAsociados").rup_table("getCol",ids[i],"cserv20");
							var cExpeAso = $("#ExpAsociados").rup_table("getCol",ids[i],"cexpe20");
							var aExpeAso = $("#ExpAsociados").rup_table("getCol",ids[i],"aexpe20");
							var nExpeAso = $("#ExpAsociados").rup_table("getCol",ids[i],"nexpe20");
							
							//Si el expediente ya estaba asociado no lo mostramos
							if (rowdata["cserv20"] == cServAso && rowdata["cexpe20"] == cExpeAso && rowdata["aexpe20"] == aExpeAso && rowdata["nexpe20"] == nExpeAso) {
								$(this).rup_grid('setRowData', rowid, false, {display:'none'});
						    } 
						}
					},
			        formEdit:{
			        	detailForm: "#ExpedientesNuevos_detail_div"
			        },
			        onPaging: function(pgButton){
						//$("#ExpedientesNuevos").rup_table("deselectAllRows");
			        	if (!$("#" + pgButton).hasClass("ui-state-disabled")) {
			        		if ($("#" + pgButton).attr("tag") != "1") {
			        			if($("#ExpedientesNuevos").rup_table("getSelectedRows") != "") {
						        	$.rup_messages("msgConfirm", {
										title: $.rup.i18n.app.mensajesMantGenerales.titPreguntaConfirmar,
										message: $.rup.i18n.app.mensajesMantGenerales.msjConfirmarPaginacion,
										siNo:true,
										OKFunction: function() {
											$("#ExpedientesNuevos").rup_table("deselectAllRows");
											$("#" + pgButton).attr("tag", "1");
											$("#" + pgButton).trigger("click");
											return true;
										},
										CANCELFunction: function() {
											return 'stop';
										}
									});
						        	return 'stop';
			        			}
				        	} else {
				        		$("#" + pgButton).attr("tag", "");
				        	}
			        	}
					},
					filter:{
						url:"../aa21b20s01/filter"
					},
					sortname: "cexpe20, aexpe20, nexpe20",
					sortorder: "asc"
				});
				
			};
			
			$("#ExpedientesNuevos").unbind("dblclick");
			//$("#ExpedientesNuevos_pager_left").hide();
			$("#jqgh_ExpedientesNuevos_cb").hide();
			$("#ExpedientesNuevos_filter_filterButton").unbind("click");
			$("#ExpedientesNuevos_filter_filterButton").click( function(){
			
				$("#ExpedientesNuevos").rup_table("resetSelection");
				
				var asociadosTemp = "";
				var ids = $("#ExpAsociados").rup_table("getDataIDs");
				for(var i=0;i<ids.length;i++){
					var cServAso = $("#ExpAsociados").rup_table("getCol",ids[i],"cserv20");
					var cExpeAso = $("#ExpAsociados").rup_table("getCol",ids[i],"cexpe20");
					var aExpeAso = $("#ExpAsociados").rup_table("getCol",ids[i],"aexpe20");
					var nExpeAso = $("#ExpAsociados").rup_table("getCol",ids[i],"nexpe20");
					asociadosTemp = asociadosTemp + ",(" + cServAso + ",'" + cExpeAso + "'," + aExpeAso + "," + nExpeAso + ")";
				}
				if (aexpe != null && aexpe != null && aexpe > 0 && nexpe != null && nexpe != null && nexpe > 0) {
					asociadosTemp = asociadosTemp + ",(" + cserv + ",'" + cexpe + "'," + aexpe + "," + nexpe + ")";
				}
				asociadosTemp = asociadosTemp.substring(1);
				$("#asociadosTemp_filter_table").val(asociadosTemp);
				$("#servicioLogueado_filter_table").val($("#servicioLogueado").val());

				$("#ExpedientesNuevos").rup_table("filter");
			});
			
			//20161018 INI - INIGO
			$("#ExpedientesNuevos_filter_cleanLink").unbind("click");
			$("#ExpedientesNuevos_filter_cleanLink").click( function(){
				//Limpiamos los campos del filtro...
				$("#ExpedientesNuevos_filter_summary").html("<i></i>");
				$("#ExpedientesNuevos").rup_table("deselectAllRows");
				$("#ExpedientesNuevos").rup_table("cleanFilterForm");
				//Limpiamos el grid...
				$("#ExpedientesNuevos").rup_table("clearGridData", false);
				$("#ExpedientesNuevos").rup_table("resetForm", $("#ExpedientesNuevos_filter_form"));
				//$("#ExpedientesNuevos_filter_filterButton").click();
			});
			//20161018 FIN - INIGO
			
			$("#dialogSeleccionExpedientes").rup_dialog({	
				type:$.rup.dialog.DIV,
				modal:true,
				height:685,
				width:960,
				resizable:true,
				title:$.rup.i18n.app.aa21b20s01.aniadirExpAsociadosTit,
				autoOpen:false,
				showLoading:true,
		        async:false, 
		        zIndex: -1,
		        open:function(){
		        	$("#ExpedientesNuevos").rup_table("clearGridData",true);
		        	$("#ExpedientesNuevos_filter_summary").html("<i></i>");
		        	$("#ExpedientesNuevos").rup_table("resetForm", $("#ExpedientesNuevos_filter_form"));
		        	$("#cexpe20nuevo_filter_table").rup_combo("setRupValue","");
		        	
		        },
		        buttons: [
		         	{
		         	  id:"guardar",
		         	  text:$.rup.i18n.app.botonerasMantGenerales.aniadir, 
		         	  css:"editar",
		         	  click: this.guardarExpedientesAsociadosTemp 
		         	}
		         	,{
		         	  id: "btnCerrarServicio",
		         	  text: $.rup.i18n.base.rup_global.close,
		         	  btnType: $.rup.dialog.LINK,
		         	  click: function(){
		         		 
		         		  $("#dialogSeleccionExpedientes").rup_dialog("close");
		         		  //$("#dialogSeleccionExpedientes").rup_dialog("destroy");
		         	  }
		         	}]});
			
		},
		/**
		 * Inicializa el componente , establece en los paramentros del ruptable, 
		 * el expediente de entrada, y carga sus datos con filter
		 */
		abrirDialogo:function(expedienteSeleccionado){
			this.inicializar();
			if(expedienteSeleccionado!=null &&expedienteSeleccionado!=undefined){
				var arrEspe=expedienteSeleccionado.split("/");
				$("#cexpe20nuevo_filter_table").rup_combo("setRupValue",arrEspe[0]);
				$("#nexpe20nuevo_filter_table").val(arrEspe[1]);
				$("#aexpe20nuevo_filter_table").val(arrEspe[2]);
				$("#ExpedientesNuevos").rup_table("filter");
			}
			$("#dialogSeleccionExpedientes").rup_dialog("open");
			//$("#dialogSeleccionExpedientes").rup_dialog("moveToTop");

			$("#dialogoEsperaSeleccionExp").hide();
			$("#ExpedientesNuevos_toolbar").hide();
		},
		abrirDialogo2:function(expedienteSeleccionado){
			this.inicializar();
			if(expedienteSeleccionado!=null &&expedienteSeleccionado!=undefined){
				var arrEspe=expedienteSeleccionado.split("/");
				cexpe = arrEspe[0];
				cserv = $("#servicioLogueado").val();
				nexpe = arrEspe[1];
				aexpe = arrEspe[2];
			}
			$("#dialogSeleccionExpedientes").rup_dialog("open");
			//$("#dialogSeleccionExpedientes").rup_dialog("moveToTop");

			$("#dialogoEsperaSeleccionExp").hide();
			$("#ExpedientesNuevos_toolbar").hide();
		},
		/**
		 * Función que cambia el color de la línea de registro si el estado de baja 
		 */
		 fncTableCompleteExpedientesNuevos:function(e){
			
			//Recorremos la tabla comprobando el campo situación. Si es Baja, le asignaremos el color de fondo a rojo
			if (e.rows != undefined && e.rows.length>0){					
				/*for (var i=0; i<e.rows.length; i++) {	
					var fila = e.rows[i];
					if(fila.cesta20=="4"){
						$("tr[id='" + fila.idExpe + "']").attr("class","ui-widget-content jqgrow ui-row-ltr");
						$("tr[id='" + fila.idExpe + "']").css("font-style","italic");
						$("tr[id='" + fila.idExpe + "']").css("background","#848484");
					}
					
				}*/
			}	
			
			
		},
		/**
		 * Funcion que guarda en la tabla temporal de expedientes asociados los registros que 
		 * el usuario ha seleccionado en la tabla de expedientes y los asociados de los mismos
		 */
		 guardarExpedientesAsociadosTemp:function(){
			
			var registros = [];
			var regAgregar = [];
			var regBloqueados = [];
			var indiceBloq = 0;
			var cerrarVentana = true;
			
			if($("#ExpedientesNuevos").rup_table("getSelectedRows") != ""){
				
				$.rup_messages("msgConfirm", { 
					title: $.rup.i18n.app.mensajesMantGenerales.titPreguntaConfirmar,
					message: $.rup.i18n.app.mensajesMantGenerales.msjConfirmarAsignarExpedientes,
					siNo:true,
					OKFunction: function() {
						   
					   registros = $("#ExpedientesNuevos").rup_table("getSelectedLines");
					   if($("#listaAsociar").val() != ""){
							regAgregar.push($("#listaAsociar").val());

							//20161019 INI - INIGO
							dialogoDetalleExpediente.hayCambiosExpAsocDesasoc = true;
							//20161019 FIN - INIGO
						}	
					   /**
					    * Función que obtiene los expedientes seleccionados y los añade a la tabla de 
					    * expedientes asociados, no se guardarán en la B.D hasta que el usuario no le de a 
					    * Guardar en la ventana de alta de expedientes
					    */
					   for(var i=0;i<registros.length;i++){
						   
						  /* if(regAgregar.length >= 6){
							   $.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.relacionExp6});
							   cerrarVentana = false;
							   break;
						   }else{*/
							   var indice = registros[i]-1;
							   var expediente = $("#ExpedientesNuevos").rup_table("getRowData")[indice];
							   var formdataSel = {};
							   var codigo = expediente.idExpe;
							   
							   if(codigo != codigoPrincipal) {
								   //Comprobar si el expediente esta bloqueado
								   var noBloqueado = bloquear("change", $("#ExpedientesNuevos"), "aa21b20s01", "objeto20",codigo);
								   if(noBloqueado) {
									   var ubicacion = "";
									   ubicacion = expediente.ubica20;
									   if (ubicacion != null && ubicacion != undefined && ubicacion.length>0) {
										   ubicacion = " (" + ubicacion + ")";
									   }

									   formdataSel["idExpe"] = codigo;
									   formdataSel["refExp"] = expediente.refExp;
									   formdataSel["refExpVer"] = expediente.refExp + ubicacion;
									   formdataSel["cesta20"] = expediente.cesta20;
									   formdataSel["cserv20"] = expediente.cserv20;
									   formdataSel["cexpe20"] = expediente.cexpe20;
									   formdataSel["aexpe20"] = expediente.aexpe20;
									   formdataSel["nexpe20"] = expediente.nexpe20;
									   formdataSel["grupo"] = expediente.grupo;
									   formdataSel["ubica20"] = expediente.ubica20;

									   var pad = "000000";
									   formdataSel["sortcol"] = formdataSel["cexpe20"] + "-" + formdataSel["aexpe20"] + "-"	+ pad.substring(0, pad.length - (formdataSel["nexpe20"]+"").length) + (formdataSel["nexpe20"]+"");

									   var ids = $("#ExpAsociados").rup_table("getDataIDs");
									   
									   //Resto uno a la z porque inexplicablemente cuando sumo al rowN también se esta sumando a la
									   //variable z
									   i--;
								   
									   var existe = false;
									   /*
									    * Comprobación de si el expediente seleccionado para asociar ya esta en la tabla de expedientes asociados
									    * temporal
									    */
									   for(var z=0;z<ids.length;z++) {
										   if(codigo == ids[z]) {
											   existe = true;
										   }
									   }

									   if(existe) {
										   $("#ExpAsociados").rup_table("setRowData", codigo, formdataSel);
									   } else {
										   //Añado el registro a la tabla de usuarios asignados
										   //$("#ExpAsociados").rup_table("addRowData", codigo, formdataSel, "last");
										   $("#ExpAsociados").rup_table("addRowData", codigo, formdataSel);
										   //$("#ExpAsociados").jqGrid("setGridParam", {sortorder: 'asc', multiSort: true});
										   //$("#ExpAsociados").jqGrid('sortGrid', 'cexpe20');
										   //$("#ExpAsociados").jqGrid('sortGrid', 'aexpe20');
										   //$("#ExpAsociados").jqGrid('sortGrid', 'nexpe20');
										   $("#ExpAsociados").jqGrid("sortGrid", "sortcol", false, "asc");
										   regAgregar.push(codigo);
										   
										   //20161019 INI - INIGO
										   dialogoDetalleExpediente.hayCambiosExpAsocDesasoc = true;
										   //20161019 FIN - INIGO
										   
										   //if (expediente.cesta20 != "Baja" && expediente.cesta20 != "Cerrado No concluido" && expediente.cesta20 != "Cerrado") {
										   //	   $("#ExpAsociados").rup_table("setRowData", codigo, false, {color:"blue"});
										   //} else if(expediente.cesta20 == "Cerrado"){
										   //	   $("#ExpAsociados").rup_table("setRowData", codigo, false, {color:"black"});
										   //} else {
										   //	   $("#ExpAsociados").rup_table("setRowData", codigo, false, {color:"red"});
										   //}

										   /**
											 * Cambiamos el tooltip para que al posicionarse encima de la celda en vez de aparecer el titulo con la referencia
											 * aparezca el objeto
											 */
											var ref = expediente.refExp + ubicacion;
											var objeto20 = expediente.objeto20;
											$("td[rup_tooltip='" + ref + "'").attr("rup_tooltip",objeto20);
									   } 
									   
									   
									   /**
									    * Si el expediente que el usuario ha seleccionado para asociar tiene grupo,
									    * significa que ese expediente puede tener otros asociados. Debemos asociar
									    * todos los expedientes de ese grupo.
									    */
									   if(expediente.grupo != null && expediente.grupo != ""){
												
												jQuery.ajax({
												type : "GET",
												dataType : "json",
												url : "../aa21b20s01/getExpedientesAsociados/" + expediente.grupo,
												cache : false,
												success : function(xhr, response) {
													datosExpAsociados = xhr;
													
													for(var i=0;i<datosExpAsociados.length;i++){
														
														 if(regAgregar.length + datosExpAsociados.length > 6){
															 $.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.relacionExp6});
															   cerrarVentana = false;
															   break;
														 }else{	   
														
															var formdataAsoc = {};
															var codigoAsoc = datosExpAsociados[i].idExpe;
															/**
															 * Comprobación de si el expediente ya esta en la tabla temporal de
															 * asociados
															 */
															if(codigoAsoc != codigoPrincipal && codigoAsoc != codigo){
																
																//Comprobar si el expediente esta bloqueado
																var noBloqueado = bloquear("change", $("#ExpedientesNuevos"), "aa21b20s01", "objeto20",codigoAsoc);
																if(noBloqueado)
																{
																	formdataAsoc["idExpe"] = codigoAsoc;
																	formdataAsoc["refExp"] = datosExpAsociados[i].refExp;
																	formdataAsoc["cesta20"] = datosExpAsociados[i].cesta20;
																	formdataAsoc["cserv20"] = datosExpAsociados[i].cserv20;
																	formdataAsoc["cexpe20"] = datosExpAsociados[i].cexpe20;
																	formdataAsoc["aexpe20"] = datosExpAsociados[i].aexpe20;
																	formdataAsoc["nexpe20"] = datosExpAsociados[i].nexpe20;
																	formdataAsoc["grupo"] = datosExpAsociados[i].grupo;

																	var pad = "000000";
																	formdataAsoc["sortcol"] = formdataAsoc["cexpe20"] + "-" + formdataAsoc["aexpe20"] + "-"	+ pad.substring(0, pad.length - (formdataAsoc["nexpe20"]+"").length) + (formdataAsoc["nexpe20"]+"");
																		
																	var idsAsoc = $("#ExpAsociados").rup_table("getDataIDs");
																	
																	var existeAsoc = false;
																	//Compruebo si el usuario ya esta en la tabla de usuarios asignados
																	for(var x=0;x<idsAsoc.length;x++){
																		if(codigoAsoc == idsAsoc[x]){
																			existeAsoc = true;
																		}	
																	}
																	/**
																	 * Si no existe en la tabla temporal lo añado también
																	 */
																	if(!existeAsoc){
																		//Añado el registro a la tabla de usuarios asignados
																		//$("#ExpAsociados").rup_table("addRowData", codigoAsoc, formdataAsoc, "last");
																		$("#ExpAsociados").rup_table("addRowData", codigoAsoc, formdataAsoc);
																		//$("#ExpAsociados").jqGrid("setGridParam", {sortorder: 'asc', multiSort: true});
																		//$("#ExpAsociados").jqGrid('sortGrid', 'cexpe20');
																		//$("#ExpAsociados").jqGrid('sortGrid', 'aexpe20');
																		//$("#ExpAsociados").jqGrid('sortGrid', 'nexpe20');
																		$("#ExpAsociados").jqGrid("sortGrid", "sortcol", false, "asc");
																		regAgregar.push(codigoAsoc);
																		
																		//20161019 INI - INIGO
																		dialogoDetalleExpediente.hayCambiosExpAsocDesasoc = true;
																		//20161019 FIN - INIGO
																	}	
																}else{
																	regBloqueados.push( codigoAsoc);
																	
																}
															}	
														 }	
													}
												}
											});
										}	
									   
									   //Deselecciono de la tabla actual de usuarios el registro que ya se ha asignado
									   $("#ExpedientesNuevos").rup_table("setSelection", [codigo], false);
								   }else{
										regBloqueados.push( codigo);
								   }
							   }else{
								   if(registros.length == 1){
									   //Significa que solo ha seleccionado un registro para añadir y es el mismo que esta editando
									   cerrarVentana = false;
									   $.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.msjMismoExp});
								   }
							   }
						   }
					  // }
					   /**
					    * Deselecciono los expedientes que estan bloqueados
					    */
					   $("#ExpedientesNuevos").rup_table("setSelection", regBloqueados, false);
					   $("#ExpAsociados").rup_table("deselectAllRows");
					   dialogoDetalleExpediente.listaAsociar=regAgregar;
					   
					   /**
					    * Si no hay ningun registro bloqueado, cierro lo ventana dialogo
					    */
					   if(cerrarVentana){
						   $("[id='AltaExpediente_detail_button_save']").show();
						   //Oculto botón de añadir porque una vez que ya tiene expedientes asociados
						   //no podrá añadir más sin quitar los actuales
						 //  $("[id='ExpAsociados_toolbar##"+$.rup.i18n.base.rup_maint.new+"']").hide();
						   if(regBloqueados.length== 0){
							   //Cierro el dialogo
							   $("#dialogSeleccionExpedientes").rup_dialog("close");
						   }
					   } 
					   
					}
				});
			}else{
				$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.msjNoRegistro});
			}
		//<!------------------------ ------------------------->
		}
		
		
}